Bug 1014990 - [abrt] libreoffice-core-4.1.2.2-1.fc19: SdGenericDrawPage::getPropertyValue: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.2-1.fc19: SdGenericDrawPage::getPropertyValue: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:38ed2fd5111975fc5f23c9068f7...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:32 EDT by Paul DeStefano
Modified: 2013-12-13 21:50 EST (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-4.1.3.2-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 23:03:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (131.92 KB, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: core_backtrace (33.71 KB, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: dso_list (25.15 KB, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: environ (3.67 KB, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: maps (126.89 KB, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: open_fds (550 bytes, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details
File: var_log_messages (344 bytes, text/plain)
2013-10-03 05:32 EDT, Paul DeStefano
no flags Details

  None (edit)
Description Paul DeStefano 2013-10-03 05:32:02 EDT
Description of problem:
Uknown

Version-Release number of selected component:
libreoffice-core-4.1.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin tofMeeting20131001.odp --splash-pipe=5
crash_function: SdGenericDrawPage::getPropertyValue
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SdGenericDrawPage::getPropertyValue at /usr/src/debug/libreoffice-4.1.2.2/sd/source/ui/unoidl/unopage.cxx:1195
 #1 PropValue::GetPropertyValue at /usr/src/debug/libreoffice-4.1.2.2/sd/source/filter/eppt/epptso.cxx:642
 #2 PPTWriterBase::CreateSlide at /usr/src/debug/libreoffice-4.1.2.2/sd/source/filter/eppt/pptx-epptbase.cxx:391
 #3 PPTWriterBase::exportPPT at /usr/src/debug/libreoffice-4.1.2.2/sd/source/filter/eppt/pptx-epptbase.cxx:231
 #4 oox::core::PowerPointExport::exportDocument at /usr/src/debug/libreoffice-4.1.2.2/sd/source/filter/eppt/pptx-epptooxml.cxx:355
 #5 oox::core::FilterBase::filter at /usr/src/debug/libreoffice-4.1.2.2/oox/source/core/filterbase.cxx:506
 #6 oox::ppt::PowerPointImport::filter at /usr/src/debug/libreoffice-4.1.2.2/oox/source/ppt/pptimport.cxx:151
 #7 SfxObjectShell::ExportTo at /usr/src/debug/libreoffice-4.1.2.2/sfx2/source/doc/objstor.cxx:2398
 #8 SfxObjectShell::SaveTo_Impl at /usr/src/debug/libreoffice-4.1.2.2/sfx2/source/doc/objstor.cxx:1549
 #9 SfxObjectShell::DoSave_Impl at /usr/src/debug/libreoffice-4.1.2.2/sfx2/source/doc/objstor.cxx:2512
Comment 1 Paul DeStefano 2013-10-03 05:32:07 EDT
Created attachment 806958 [details]
File: backtrace
Comment 2 Paul DeStefano 2013-10-03 05:32:10 EDT
Created attachment 806959 [details]
File: cgroup
Comment 3 Paul DeStefano 2013-10-03 05:32:14 EDT
Created attachment 806960 [details]
File: core_backtrace
Comment 4 Paul DeStefano 2013-10-03 05:32:18 EDT
Created attachment 806961 [details]
File: dso_list
Comment 5 Paul DeStefano 2013-10-03 05:32:22 EDT
Created attachment 806962 [details]
File: environ
Comment 6 Paul DeStefano 2013-10-03 05:32:25 EDT
Created attachment 806963 [details]
File: exploitable
Comment 7 Paul DeStefano 2013-10-03 05:32:29 EDT
Created attachment 806964 [details]
File: limits
Comment 8 Paul DeStefano 2013-10-03 05:32:33 EDT
Created attachment 806965 [details]
File: maps
Comment 9 Paul DeStefano 2013-10-03 05:32:37 EDT
Created attachment 806966 [details]
File: open_fds
Comment 10 Paul DeStefano 2013-10-03 05:32:40 EDT
Created attachment 806967 [details]
File: proc_pid_status
Comment 11 Paul DeStefano 2013-10-03 05:32:44 EDT
Created attachment 806968 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-10-03 07:47:18 EDT
This is apparently a fairly common crash, but we can't reproduce it. Is there a specific document you have which crashes when you save it ?
Comment 13 Paul DeStefano 2013-10-08 20:39:50 EDT
Seriously, you couldn't give me a week to answer?

This crash occurred while I was creating a presentation for internal communication.  I cannot make it public; I don't want to attach it to the bug report.  But, I'm willing to send it to someone directly.
Comment 14 David Tardon 2013-10-09 12:53:33 EDT
(In reply to Paul DeStefano from comment #13)
> Seriously, you couldn't give me a week to answer?

Well, by our experience with abrt bugs, if a reporter does not reply inside a day, he is not going to reply at all...

> 
> This crash occurred while I was creating a presentation for internal
> communication.  I cannot make it public; I don't want to attach it to the
> bug report.  But, I'm willing to send it to someone directly.

Fair enough. You can send it to me and I will have a look.
Comment 15 Paul DeStefano 2013-10-14 09:22:32 EDT
Okay, I have send you the documents.
Comment 16 Caolan McNamara 2013-11-15 11:55:09 EST
I get a few valgrind warnings on saving the supplied .odp to .pptx which is promising
Comment 17 Caolan McNamara 2013-11-20 05:51:23 EST
A really large amount of uninitialized variables in the .pptx export. No certain smoking gun, but some plausible fixes
Comment 18 Fedora Update System 2013-11-21 04:24:22 EST
libreoffice-4.1.3.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-5.fc20
Comment 19 Fedora Update System 2013-11-22 03:55:09 EST
libreoffice-4.1.3.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-6.fc20
Comment 20 Fedora Update System 2013-11-22 03:56:30 EST
libreoffice-4.1.3.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-6.fc19
Comment 21 Fedora Update System 2013-11-23 14:42:59 EST
Package libreoffice-4.1.3.2-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.3.2-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21861/libreoffice-4.1.3.2-6.fc19
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2013-11-25 23:03:21 EST
libreoffice-4.1.3.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-11-28 04:29:57 EST
libreoffice-4.1.3.2-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc20
Comment 24 Fedora Update System 2013-11-28 04:31:47 EST
libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19
Comment 25 Fedora Update System 2013-12-07 01:59:50 EST
libreoffice-4.1.3.2-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-12-13 21:50:44 EST
libreoffice-4.1.3.2-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.